{%- comment -%}
Add an image in a post

Mandatory parameter:
 - src: the img relative path from img/posts/tutorials/<post-sub-category>/<post-name>

Optional parameters:
 - absolute: When true, the img path is absolute
 - no-anchor: When true, the image will not become an anchor
 - caption: Img caption
 - no-center: When true, won't align image to center
 - style: any additional css rules
 - class: any aditional css classes to be used
 - url: URL to make image an anchor to
{%- endcomment -%}

{% if include.absolute %}
  {% assign path = include.src %}
{% else %}
  {% assign _s = page.path.size | minus: 4 %}
  {% assign path = page.path | slice: 1, _s | prepend: "/img/" | append: "/" |
                  append: include.src %}
{% endif %}

{% if include.url %}
  {% assign url = include.url %}
{% else %}
  {% assign url = path %}
{% endif %}

<figure>
{% unless include.no-anchor %}
  <a href="{{ url }}">
{% endunless %}
<img {% unless include.no-center %} class="img-center" {% endunless %}
     src="{{ path }}"
     {% if include.caption %} alt="{{ include.caption }}" {% endif %}
     {% if include.style %} style="{{ include.style }}" {% endif %}
     {% if include.class %} class="{{ include.class }}" {% endif %}/>
{% unless include.no-anchor %}
</a>
{% endunless %}
{% if include.caption %}
  {% if counter == nil %}
    {% assign counter = 1 %}
  {% endif %}
  <figcaption {% unless include.no-center %} class="fig-center" {% endunless %}>
    <b>Figure {{ counter }}.</b>
    {{ include.caption | markdownify | remove: "<p>" | remove: "</p>" }}
  </figcaption>
  {% assign counter = counter | plus: 1 %}
{% endif %}
</figure>
